curl --request POST \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/scheduled-jobs' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"name": "Two-Person Tent",
"workflow_type": "string",
"workflow_binding": {},
"event_payload": {},
"task_queue": "string",
"interval_seconds": 250,
"first_run_at": "2026-08-31T14:22:05Z"
}'
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Two-Person Tent",
"workflow_type": "string",
"workflow_binding": {},
"event_payload": {},
"task_queue": "string",
"interval_seconds": 250,
"next_run_at": "2026-08-31T14:22:05Z",
"last_run_at": "2026-08-31T14:22:05Z",
"enabled": true,
"created_at": "2026-08-31T14:22:05Z"
}
Scheduler api (/v1/brands/{brand_id}/scheduled-jobs)
Schedule created.
POST
/
v1
/
brands
/
{brand_id}
/
scheduled-jobs
curl --request POST \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/scheduled-jobs' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"name": "Two-Person Tent",
"workflow_type": "string",
"workflow_binding": {},
"event_payload": {},
"task_queue": "string",
"interval_seconds": 250,
"first_run_at": "2026-08-31T14:22:05Z"
}'
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Two-Person Tent",
"workflow_type": "string",
"workflow_binding": {},
"event_payload": {},
"task_queue": "string",
"interval_seconds": 250,
"next_run_at": "2026-08-31T14:22:05Z",
"last_run_at": "2026-08-31T14:22:05Z",
"enabled": true,
"created_at": "2026-08-31T14:22:05Z"
}
Path parameters
string (uuid)
required
Request body
object
string
required
string
required
object
object
string
required
integer
required
string (date-time)
Response
object
string (uuid)
required
string (uuid)
required
string
required
string
required
object
required
object
required
string
required
integer
required
string (date-time)
required
string (date-time)
boolean
required
string (date-time)
required
Status codes
| Code | Meaning |
|---|---|
201 | Schedule created. |
400 | Validation error |
401 | Unauthorized |
404 | Not found |
429 | Rate limited |
500 | Internal error |
curl --request POST \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/scheduled-jobs' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"name": "Two-Person Tent",
"workflow_type": "string",
"workflow_binding": {},
"event_payload": {},
"task_queue": "string",
"interval_seconds": 250,
"first_run_at": "2026-08-31T14:22:05Z"
}'
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Two-Person Tent",
"workflow_type": "string",
"workflow_binding": {},
"event_payload": {},
"task_queue": "string",
"interval_seconds": 250,
"next_run_at": "2026-08-31T14:22:05Z",
"last_run_at": "2026-08-31T14:22:05Z",
"enabled": true,
"created_at": "2026-08-31T14:22:05Z"
}
Last modified on August 31, 2026